com.amazon.redshift.util

## Class HostSpec

- java.lang.Object
- - com.amazon.redshift.util.HostSpec

    public class HostSpec
    extends Object

Simple container for host and port.

### Field Summary

Fields
`static String` `DEFAULT_NON_PROXY_HOSTS`
`protected String` `host`
`protected int` `port`

### Constructor Summary

Constructors
Constructor and Description
`HostSpec(String host, int port)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getHost()`
`int` `getPort()`
`int` `hashCode()`
`Boolean` `shouldResolve()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_NON_PROXY_HOSTS

    public static final String DEFAULT_NON_PROXY_HOSTS

See Also:
  Constant Field Values

#### host

    protected final String host

#### port

    protected final int port

### Constructor Detail

#### HostSpec

    public HostSpec(String host,
            int port)

### Method Detail

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### shouldResolve

    public Boolean shouldResolve()